Update an API key
curl -X POST "https://api.5centscdn.com/v2/account/api/12345" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"ip_whitelist": "203.0.113.10,10.0.0.0/8"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/account/api/12345"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"ip_whitelist": "203.0.113.10,10.0.0.0/8"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/api/12345", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"ip_whitelist": "203.0.113.10,10.0.0.0/8"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"ip_whitelist": "203.0.113.10,10.0.0.0/8"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/account/api/12345", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/api/12345')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "My Application",
"description": "Used by the mobile app",
"permission[]": [
"read",
"update"
],
"ip_whitelist": "203.0.113.10,10.0.0.0/8"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "API Key Updated"
}
/account/api/{apikeyid}Target server for requests. Edit to use your own host.
API key (sent in header)
Unique identifier of the API key record.
The media type of the request body
Human-readable label for the API key / application.
Description of the key's purpose, shown alongside the key in the API Keys list.
Set of CRUD permissions granted to this key. Multiple values allowed. Replaces the key's existing permission set.
Comma-separated list of IPs and/or CIDR ranges allowed to use this key. Omit or leave empty to allow requests from any IP. Replaces the key's existing IP whitelist.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Description of the key's purpose, shown alongside the key in the API Keys list.
Used by the mobile appSet of CRUD permissions granted to this key. Multiple values allowed. Replaces the key's existing permission set.
["read","update"]Comma-separated list of IPs and/or CIDR ranges allowed to use this key. Omit or leave empty to allow requests from any IP. Replaces the key's existing IP whitelist.
203.0.113.10,10.0.0.0/8Responses
Operation outcome.
Human-readable description of the operation outcome.